﻿using System;

namespace PowerCodeCalculator.Model
{
    /// <summary>
    /// 代码信息实体
    /// </summary>
    [Serializable]
    public sealed class CodeInfo
    {
        /// <summary>
        /// 文件名绝对路径 形如：c:\Program.cs
        /// </summary>
        public String FilePath { get; set; }

        /// <summary>
        /// 代码行数
        /// </summary>
        public Int64 LineCount { get; set; }

        /// <summary>
        /// 代码字符数
        /// </summary>
        public Int64 CharCount { get; set; }
    }
}
